import { defineContentConfig, defineCollection, z } from '@nuxt/content'
import { asSchemaOrgCollection } from 'nuxt-schema-org/content'

export default defineContentConfig({
  collections: {
    blog: defineCollection(asSchemaOrgCollection({
      type: 'page',
      source: 'blog/*.md',
      schema: z.object({
        date: z.string(),
        image: z.string(),
        thumbnail: z.string(),
        category: z.string(),
        author: z.object({
          name: z.string(),
          image: z.string(),
        }),
      }),
    })),

    skills: defineCollection({
      type: 'page',
      source: 'snippets/skills/*.md',
    }),

    faq: defineCollection({
      type: 'page',
      source: 'snippets/faq/*.md',
      schema: z.object({
        rawbody: z.string(),
      }),
    }),
  },
})